#!/bin/sh

GLEST_LOCAL_DIR=$HOME/.glest
GLEST_DATA_DIR=/usr/share/glest
GLEST_EXECUTABLE=/usr/libexec/glest/glest

mkdir -p $GLEST_LOCAL_DIR
cd $GLEST_LOCAL_DIR
for dir in techs data maps tilesets; do
    ln -snf $GLEST_DATA_DIR/$dir $dir
done
test -L screens && rm screens

if [ ! -e glest.ini ]; then
  X=$(xdpyinfo|grep "dimensions:"|awk '{print $2}'|cut -d "x" -f 1)
  Y=$(xdpyinfo|grep "dimensions:"|awk '{print $2}'|cut -d "x" -f 2)
  sed -e s/ScreenWidth=.*/ScreenWidth=$X/g \
      -e s/ScreenHeight=.*/ScreenHeight=$Y/g \
      $GLEST_DATA_DIR/glest.ini > glest.ini
  max_texture_units="`glxinfo -l | awk '/GL_MAX_TEXTURE_UNITS_ARB/ { print $3 }'`"
  if [ -n "$max_texture_units" -a "$max_texture_units" -lt 3 ]; then
    echo "Your video card does not support enough texture units, turning off shadows..."
    sed -i -e "s/Shadows=.*/Shadows=Disabled/g" glest.ini
  fi
fi
exec $GLEST_EXECUTABLE "$@"
